%define sourcename gplanarity-svn-17362
%define oname planarity
%define svnrev r17362

Name:           gplanarity
Summary:	gPlanarity is a simple puzzle game involving untangling planar graphs for fun and prizes.
Version:	%{svnrev}
Release:	%mkrel 2
Url:		http://web.mit.edu/xiphmont/Public/gPlanarity.html
License:	GPLv2
Group:		Games/Puzzles
Source:		%{sourcename}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%version-build
BuildRequires:	libgtk+2.0_0-devel >= 2.7.2
BuildRequires:	libcairo-devel >= 1.0.0
BuildRequires:	libfreetype6-devel

%description
gPlanarity is a super-clone of the flash Planarity game written by John Tantalo.

gPlanarity implements gameplay identical to the original Planarity but adds some
UI and game extras around the basic game such as multiple board generation
algorithms, puzzle boards, complete backing state, group select/drag and so on. 

KNOWN BUG: When you start the game you will get a blank screen, resize the window to fix.

%prep
%setup -q -n %{oname}
touch gettext.h
echo '#define _(x) (x)' >> gettext.h
echo '#define __(x) (x)' >> gettext.h

%build
make %{?jobs:-j%jobs} DISABLE_NLS=true

%install
install -D -m 0755 gPlanarity $RPM_BUILD_ROOT%{_prefix}/games/gplanarity
install -D -m 0644 gPicon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/gplanarity.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=gPlanarity
Comment=Simple puzzle game
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;PuzzleGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_prefix}/games/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Tue Aug 17 2010 Texstar <texstar at gmail.com> r17362-2pclos2010
- convert source to tar.xz

* Mon Aug 09 2010 Chomp <chomptheman@gmail.com> r17362-1pclos2010
- create
